Re: [Gimp-developer] Errors in the new gimp version registering python scripts



On Sat, Jun 23, 2018 at 10:23 AM, Carol Spears <carol spears gmail com>
wrote:



On Sat, Jun 23, 2018 at 8:25 AM, Ofnuts <ofnuts gmx com> wrote:

On 06/19/18 21:43, Paco Garcia via gimp-developer-list wrote:

Is there any way to get more information about the gimp_wire_read ()
error
that occurs when loading python scripts? Many scripts that worked in
previous versions of gimp fail in the new one without apparent cause.
Spanish version:
┬┐Hay alguna forma de obtener mas informaci├│n sobre el error
gimp_wire_read() que se produce al cargar scripts de python?. Muchos
scripts que funcionaban en versiones anteriores de gimp fallan en la
nueva
sin causa aparente.
_______________________________________________


I have seen plenty of such errors and they don't make the registration
fail. In 2.10 for Windows, scripts that import pygtk can have problems (you
have to make sure you import gimpfu first). Would you have the URL to such
a script?


That's right.  I've seen that error before though, but I write crappy
python also.  Maybe it is missing its beginning:

#!/usr/bin/env python
# -*- coding: utf-8 -*-

or pygtk is not installed.  Or maybe the script is a template and broken
from the fill ins.

My earlier suggestion to poke around with it was not wrong, however.


Maybe the file is base64 or whatever that format was for mail in the 1980s.

carol


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]